<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
session_start();
//recupera dados do formulario
$usuario		= trim(pg_escape_string($_POST['form_usuario']));
$usuario_old		= trim(pg_escape_string($_POST['form_usuario_old']));
$atualSenha		= trim(pg_escape_string($_POST['form_atualSenha']));
$nSenha			= trim(pg_escape_string($_POST['form_nSenha']));
$cnSenha		= trim(pg_escape_string($_POST['form_cnSenha']));
$numerocreas	= trim(pg_escape_string($_POST['form_numerocreas']));
$botao 			= $_POST['botao'];

$creas  = trim(pg_escape_string($_POST['form_creas']));
$perfil  = trim(pg_escape_string($_POST['form_perfil']));
$criausuario = trim(pg_escape_string($_POST['form_criausuario']));
$conferencia   = trim(pg_escape_string($_POST['form_conferencia']));

if ($criausuario == "")	$criausuario = "N";
if ($conferencia == "")	$conferencia = "N";

//informacoes para remocao de users
$idUser 		= $_GET['idUser'];
$acao	 		= $_GET['acao'];

//rotina para remocao de users
if ($acao == 'remover') {
	include "includes/begin.php";
	$sql="delete from logon where usuario = '".$idUser."'";
	$result=pg_query($dbh, $sql);
	
	if (!$result) {
	   //die("Erro na selecao do usuario" . pg_last_error());
	   header('location:gerencia.php?msn=1');
	   exit;
	}		
	include "includes/end.php";
	header('location:gerencia.php?msn=2');
	exit;
}

//atualizar senha de adminstrador
if ($botao == 'enviar senha')
{
	//carrega arquivo de conex�o
	include "includes/begin.php";		
	// update a senha do admin
	$sql="select * from logon where usuario = '". $_SESSION['logon'] ."'";
	$result = pg_query($dbh, $sql);
	if (!$result) {
	   //die("Erro na selecao do usuario" . pg_last_error());
	   header('location:gerencia.php?msn=3');
	   exit;
	}
	$row = pg_fetch_array($result);
	$codcreas = $row['numerocreas'];
	if(isset($row['senha'])){
		if ((md5($nSenha)==md5($cnSenha)) && (md5(trim($atualSenha)) == trim($row['senha'])) )
		{		
			//carrega arquivo de conex�o
			include "includes/begin.php";		
			// update a senha do admin
			$sql="update logon set senha = '".md5($nSenha)."' where usuario = '". $_SESSION['logon'] ."'";
			$result=pg_query($dbh, $sql);
			
			if (!$result) {
			   die("Erro na selecao do usuario" . pg_last_error());
			   header('location:gerencia.php?msn=4');
			   exit;
			}
			$_SESSION['logon_admin']='admin_gerencia';
			include "includes/end.php";
			header('location:gerencia.php?msn=6');
			exit;
	
		}
		else
		{
			header('location:gerencia.php?msn=5');
			exit;
		}	
	}
	else{
		if (md5($nSenha)==md5($cnSenha))
		{		
			//carrega arquivo de conex�o
			include "includes/begin.php";		
			// update a senha do admin
			$sql="update logon set senha = '".md5($nSenha)."' where usuario = '". $_SESSION['logon'] ."'";
			$result=pg_query($dbh, $sql);

			if (!$result) {
			   die("Erro na selecao do usuario" . pg_last_error());
			   header('location:gerencia.php?msn=4');
			   exit;
			}
			$_SESSION['logon_admin']='admin_gerencia';
			include "includes/end.php";
			header('location:gerencia.php?msn=6');
			exit;

		}
		else
		{
			header('location:gerencia.php?msn=5');
			exit;
		}
	}
}

//atualizar c�digo da CREAS  e demais dados (perfil, etc)
if ($botao == 'enviar')
{
	include "includes/begin.php";

        //verifica se o login j� n�o existe
        $sql="select * from logon where usuario = '".$usuario."' and usuario <> '" . $usuario_old . "'";
	$result=pg_query($dbh, $sql);

	$row = pg_fetch_array($result);
	if ($row['usuario'])
        {
		include "includes/end.php";
		header('location:gerencia.php?msn=9&botao=alterar+CREAS&usuario=' . $usuario_old);
		exit;
	}

        if (trim($creas) != "")
        {
           $creas = "'" . $creas . "'";
        }
        else
        {
      	   $creas = "null";
        }

        if (trim($nSenha) != "")
        {
           $senha = "'" . md5($nSenha) . "'";
        }
        else
        {
      	   $senha = "senha";
        }


	// update o c�digo da CREAS
	$sql=" update logon
         	set usuario = '$usuario',
		numerocreas = $creas,
                tipo_perfil = '$perfil',
                cria_usuario = '$criausuario',
                conferencia_estatisticas = '$conferencia',
                senha = $senha
	        where usuario = '".$usuario_old."'";
	$result=pg_query($dbh, $sql);
	//echo $sql;
        //exit;
	if (!$result) {
	   header('location:gerencia.php?msn=7&botao=alterar+CREAS&usuario=' . $usuario_old);
	   exit;
	}
	include "includes/end.php";
	header('location:gerencia.php?msn=8&botao=gerenciar+usuários');
	exit;

}

if (trim($botao) == 'cadastrar')
{
	include "includes/begin.php";
	$sql="select * from logon where usuario = '".$usuario."'";
	$result=pg_query($dbh, $sql);

	if (!$result) {
		include "includes/end.php";
		header('location:gerencia.php?msn=3');
		exit;
	}
	$row = pg_fetch_array($result);
	if ($row['usuario']) {
		include "includes/end.php";
		header('location:gerencia.php?msn=9');
		exit;
	}
	else {	
		if (trim($nSenha) == trim($cnSenha)) {
			$sql="insert into logon (usuario, senha, numerocreas,tipo_perfil,cria_usuario,conferencia_estatisticas,usuario_administrador,data_criacao_usuario) values('".$usuario."', '".md5($nSenha)."','".$creas."','".$perfil."','".$criausuario."','".$conferencia."','". trim($_SESSION["logon"]) ."',CURRENT_TIMESTAMP)";
			$result=pg_query($dbh, $sql);
			if (!$result) {
				include "includes/end.php";
				header('location:gerencia.php?msn=10');
				exit;
			}
			else {
				include "includes/end.php";
				header('location:gerencia.php?msn=11');
				exit;
			}
		}
		else {
			include "includes/end.php";
			header('location:gerencia.php?msn=5');
			exit;
		}
	}
}
?>
